--- src/client/fs/fs_ext2.h.orig	Fri Sep 14 23:41:46 2001
+++ src/client/fs/fs_ext2.h	Thu Jan 22 03:12:30 2004
@@ -20,7 +20,15 @@
 
 #include "partimage.h"
 #include "fs_base.h"
+#if defined(OS_LINUX)
 #include <asm/types.h>
+#else
+typedef int16_t __s16;
+typedef int32_t __s32;
+typedef uint8_t __u8;
+typedef uint16_t __u16;
+typedef uint32_t __u32;
+#endif
 
 #define LOGICAL_EXT2_BLKSIZE 1024 // 512 // the size of the abstract block used in CFSBase
 #define ISEXT3FS (m_info.dwFeatureCompat & EXT3_FEATURE_COMPAT_HAS_JOURNAL)
