--- src/client/fs/fs_ufs.h.orig	Wed Sep 26 22:09:45 2001
+++ src/client/fs/fs_ufs.h	Thu Jan 22 03:12:30 2004
@@ -80,12 +80,12 @@
  * The first boot and super blocks are given in absolute disk addresses.
  * The byte-offset forms are preferred, as they don't imply a sector size.
  */
-#define BBSIZE		8192
+#define _BBSIZE		8192
 #define SBSIZE		8192
 #define	BBOFF		((off_t)(0))
-#define	SBOFF		((off_t)(BBOFF + BBSIZE))
+#define	SBOFF		((off_t)(BBOFF + _BBSIZE))
 #define	BBLOCK		((ufs_daddr_t)(0))
-#define	SBLOCK		((ufs_daddr_t)(BBLOCK + BBSIZE / DEV_BSIZE))
+#define	SBLOCK		((ufs_daddr_t)(BBLOCK + _BBSIZE / DEV_BSIZE))
 
 /*
  * Addresses stored in inodes are capable of addressing fragments
